package com.javacodegeeks.enterprise.hibernate;


import org.hibernate.Session;

import com.javacodegeeks.enterprise.hibernate.utils.HibernateUtil;

public class App 
{
    public static void main( String[] args )
    {
    	
        Session session = HibernateUtil.getSessionFactory().openSession();

        session.beginTransaction();
        
        Student student1 = new Student("Jeremny","21");
        Student student2 = new Student("Robert","21");

   
        
        Class class1 = new Class("Math","Spring");
        Class class2 = new Class("Physics","Winter");
        Class class3 = new Class("Algebra","Winter");
        
        student1.getStudentClasses().add(class1);
        student1.getStudentClasses().add(class2);
        
        student2.getStudentClasses().add(class1);
        student2.getStudentClasses().add(class2);
        student2.getStudentClasses().add(class3);
        
        class1.getAssignedStudents().add(student1);
        class1.getAssignedStudents().add(student2);
        
        class2.getAssignedStudents().add(student1);
        class2.getAssignedStudents().add(student2);
        
        class3.getAssignedStudents().add(student2);
        
        
        session.save(student1);
        session.save(student2);


        
        
       
        
        session.getTransaction().commit();
        System.out.println("Great! Students were saved");
        
    }
}